FreeTDS API

- Main Page
- Related Pages
- Modules
- Classes
- Files

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Internal bcp functions
Bulk copy functions

Static functions internal to the bcp library. More...

## Functions

static RETCODE | _bcp_exec_in (DBPROCESS *dbproc, DBINT *rows_copied)
static RETCODE | _bcp_exec_out (DBPROCESS *dbproc, DBINT *rows_copied)
static char * | _bcp_fgets (char *buffer, int size, FILE *f)
static void | _bcp_free_columns (DBPROCESS *dbproc)
static void | _bcp_free_storage (DBPROCESS *dbproc)
static int | _bcp_get_col_data (TDSBCPINFO *bcpinfo, TDSCOLUMN *bindcol, int offset)
| For a bcp in from program variables, get the data from the host variable.
static int | _bcp_get_term_var (BYTE *pdata, BYTE *term, int term_len)
| Get the data for bcp-in from program variables, where the program data have been identified as character terminated, This is a low-level, internal function.
static offset_type | _bcp_measure_terminated_field (FILE *hostfile, BYTE *terminator, int term_len)
static RETCODE | _bcp_read_hostfile (DBPROCESS *dbproc, FILE *hostfile, int *row_error)
static int | _bcp_readfmt_colinfo (DBPROCESS *dbproc, char *buf, BCP_HOSTCOLINFO *ci)
static int | rtrim (char *str, int len)
| trim a string of trailing blanks

## Detailed Description

Static functions internal to the bcp library.

## Function Documentation

static RETCODE _bcp_exec_in | ( | DBPROCESS * | dbproc,
|  | DBINT * | rows_copied
| ) |  |

static

Parameters

  dbproc | contains all information needed by db-lib to manage communications with the server.
  rows_copied |

Returns
  SUCCEED or FAIL.

See Also
  BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static RETCODE _bcp_exec_out | ( | DBPROCESS * | dbproc,
|  | DBINT * | rows_copied
| ) |  |

static

Parameters

  dbproc | contains all information needed by db-lib to manage communications with the server.
  rows_copied |

Returns
  SUCCEED or FAIL.

See Also
  BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static char* _bcp_fgets | ( | char * | buffer,
|  | int | size,
|  | FILE * | f
| ) |  |

static

Parameters

  buffer |
  size |
  f |

Returns
  SUCCEED or FAIL.

See Also
  BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static void _bcp_free_columns | ( | DBPROCESS * | dbproc | ) |

static

Parameters

  dbproc | contains all information needed by db-lib to manage communications with the server.

static void _bcp_free_storage | ( | DBPROCESS * | dbproc | ) |

static

Parameters

  dbproc | contains all information needed by db-lib to manage communications with the server.

See Also
  bcp_done(), bcp_exec(), bcp_init()

static int _bcp_get_col_data | ( | TDSBCPINFO * | bcpinfo,
|  | TDSCOLUMN * | bindcol,
|  | int | offset
| ) |  |

static

For a bcp in from program variables, get the data from the host variable.

Parameters

  dbproc | contains all information needed by db-lib to manage communications with the server.
  bindcol |

Returns
  TDS_SUCCEED or TDS_FAIL.

See Also
  _bcp_add_fixed_columns, _bcp_add_variable_columns, _bcp_send_bcp_record

static int _bcp_get_term_var | ( | BYTE * | pdata,
|  | BYTE * | term,
|  | int | term_len
| ) |  |

static

Get the data for bcp-in from program variables, where the program data have been identified as character terminated, This is a low-level, internal function.

Call it correctly.

Parameters

  pdata |
  term |
  term_len |

Returns
  data length.

static offset_type _bcp_measure_terminated_field | ( | FILE * | hostfile,
|  | BYTE * | terminator,
|  | int | term_len
| ) |  |

static

Parameters

  hostfile |
  terminator |
  term_len |

Returns
  SUCCEED or FAIL.

See Also
  BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static RETCODE _bcp_read_hostfile | ( | DBPROCESS * | dbproc,
|  | FILE * | hostfile,
|  | int * | row_error
| ) |  |

static

Parameters

  dbproc | contains all information needed by db-lib to manage communications with the server.
  hostfile |
  row_error |

Returns
  MORE_ROWS, NO_MORE_ROWS, or FAIL.

See Also
  BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static int _bcp_readfmt_colinfo | ( | DBPROCESS * | dbproc,
|  | char * | buf,
|  | BCP_HOSTCOLINFO * | ci
| ) |  |

static

Parameters

  dbproc | contains all information needed by db-lib to manage communications with the server.
  buf |
  ci |

Returns
  SUCCEED or FAIL.

See Also
  BCP_SETL(), bcp_batch(), bcp_bind(), bcp_colfmt(), bcp_colfmt_ps(), bcp_collen(), bcp_colptr(), bcp_columns(), bcp_control(), bcp_done(), bcp_exec(), bcp_getl(), bcp_init(), bcp_moretext(), bcp_options(), bcp_readfmt(), bcp_sendrow()

static int rtrim | ( | char * | str,
|  | int | len
| ) |  |

static

trim a string of trailing blanks

Replaces spaces at the end of a string with NULs

Parameters

  str | pointer to a character buffer (not null-terminated)
  len | size of the str in bytes

Returns
  modified length